> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Network profiles data (experimental)

> Returns profile data for networks.<br/> Results are ordered by `network`.<br/> To fetch the next page of results use `next_page_url` JSON response field.<br/>



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /profile/networks
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /profile/networks:
    servers:
      - url: https://api.coinmetrics.io/v4
    get:
      tags:
        - Profile
      summary: Network profiles data (experimental)
      description: >-
        Returns profile data for networks.<br/> Results are ordered by
        `network`.<br/> To fetch the next page of results use `next_page_url`
        JSON response field.<br/>
      operationId: getNetworkProfiles
      parameters:
        - $ref: '#/components/parameters/NetworkProfileNetworks'
        - $ref: '#/components/parameters/NetworkProfileFullNames'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PagingFromWithStartByDefault'
        - $ref: '#/components/parameters/NextPageToken'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/NetworkProfiles'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '414':
          $ref: '#/components/responses/UriTooLong'
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            curl --compressed
            "https://api.coinmetrics.io/v4/profile/networks?api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/profile/networks?api_key=<your_key>').json()

            print(response)
        - lang: Python
          label: Python Client
          source: |
            from coinmetrics.api_client import CoinMetricsClient
            client = CoinMetricsClient(<your_key>)

            response = client.get_network_profiles().to_list()
            print(response)
components:
  parameters:
    NetworkProfileNetworks:
      description: >-
        Comma separated list of networks.<br/> By default profile data for all
        networks is returned. Mutually exclusive with `full_names` parameter.
      in: query
      name: networks
      required: false
      schema:
        type: array
        items:
          type: string
      explode: false
    NetworkProfileFullNames:
      description: >-
        Comma separated list of network full names.<br/> By default profile data
        for all networks is returned. Mutually exclusive with `networks`
        parameter.
      in: query
      name: full_names
      required: false
      schema:
        type: array
        items:
          type: string
      explode: false
    PageSize:
      description: >-
        Number of items per single page of results.<br/> The value of this
        parameter is ignored if the endpoint supports the `format` parameter and
        its value is set to `json_stream`.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFromWithStartByDefault:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: start
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    NetworkProfiles:
      description: Network profiles data.
      content:
        application/json:
          example:
            data:
              - full_name: Solana
                network: sol
                modular_or_monolithic: Monolithic
                overview: >-
                  Solana (SOL) is a smart contract compatible layer one
                  blockchain that supports high speed transactions using a
                  proof-of-history consensus mechanism. Solana was built to
                  support high frequency blockchain applications by addressing
                  scalability, decentralization, and cost issues. Solana is
                  capable of executing 65,000 transactions per second and 400 ms
                  block times using a proof-of-history consensus protocol. Nodes
                  on the blockchain often struggle to determine an accurate
                  timeline of events due to issues of latency and slow network
                  speeds. Solana is able to create a synchronized clock for each
                  node using a variable delay function with a fixed runtime and
                  verifiable solution ultimately creating the proof-of-history
                  consensus mechanism. Solana’s Tower Byzantine Fault Tolerance
                  (BFT) Consensus Mechanism utilizes proof-of-history to latency
                  and increase speeds. BFT ensures more efficient finality
                  because once two-thirds of the validators have agreed on a
                  certain order of events the timeline is finalized. The Solana
                  main chain uses proof-of-delegated stake where SOL holders can
                  stake themselves or delegate to a validator and earn passive
                  returns.
                consensus_mechanism: 'Proof-of-Stake: Proof-of-History'
                hashing_algorithm: SHA256
                transaction_finality: No Fixed Finality Threshold
                available_clients:
                  - Rust Client
                smart_contract_deployment: Permissionless
                foundation:
                  - >-
                    Solana Foundation: Non-profit foundation focused on
                    decentralizing the network by providing grants, validator
                    delegations, and server programs
                  - >-
                    Solana Labs: Organization building and implementing products
                    and tooling to expand the Solana ecosystem
                founding_team_identity: Known
                repository:
                  - github_repository: Solana Core
                    github_url: github.com/solana-labs/solana
                transaction_visibility: Visible
                native_fee_token: SOL
                significant_historical_changes:
                  - date: '2020-10-07'
                    details: >-
                      Solana announced its integration with Wormhole to support
                      cross-chain message and asset transfers with Ethereum
                  - date: '2022-12-13'
                    details: >-
                      Solana made its QUIC implementation the official message
                      propogation standard for transactions in upgrade 1.13.4
                  - date: '2024-01-24'
                    details: >-
                      Solana's Token Extensions program was released to increase
                      token customizability for issuers
                rollup_info:
                  - rollup_type: N/A
                    state_validation: N/A
                network_scaling_solution: 'true'
                type_of_network: Blockchain
                chain_explorers:
                  - https://solscan.io/
                  - https://explorer.solana.com/
                  - https://solanabeach.io/
                  - https://solana.fm/
            next_page_token: ZXRo
            next_page_url: >-
              https://api.coinmetrics.io/v4/profile/networks?api_key=<your_key>&pretty=true&next_page_token=ZXRo
          schema:
            $ref: '#/components/schemas/NetworkProfilesResponse'
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      content:
        application/json:
          example:
            error:
              type: forbidden
              message: >-
                Requested metric 'SplyBMXNtv' with frequency '1d' for asset
                'btc' is not available with supplied credentials.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Requested resource is not available with supplied credentials.
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    NetworkProfilesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/NetworkProfileInfo'
          type: array
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    NetworkProfileInfo:
      description: Network profile data.
      properties:
        full_name:
          $ref: '#/components/schemas/NetworkProfileFullName'
        network:
          $ref: '#/components/schemas/NetworkProfileNetwork'
        overview:
          $ref: '#/components/schemas/NetworkProfileOverview'
        consensus_mechanism:
          $ref: '#/components/schemas/NetworkProfileConsensusMechanism'
        hashing_algorithm:
          $ref: '#/components/schemas/NetworkProfileHashingAlgorithm'
        transaction_finality:
          $ref: '#/components/schemas/NetworkProfileTransactionFinality'
        available_clients:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileAvailableClient'
          description: Network available client.
        smart_contract_deployment:
          $ref: '#/components/schemas/NetworkProfileSmartContractDeployment'
        foundation:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileFoundation'
          description: Network foundation.
        founding_team_identity:
          $ref: '#/components/schemas/NetworkProfileFoundingTeamIdentity'
        repository:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileRepository'
          description: Network profile repository.
        transaction_visibility:
          $ref: '#/components/schemas/NetworkProfileTransactionVisibility'
        native_fee_token:
          $ref: '#/components/schemas/NetworkProfileNativeFeeToken'
        significant_historical_changes:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileSignificantHistoricalChange'
          description: Network significant historical changes.
        upgrade_history:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileUpgradeHistory'
          description: Network upgrade history.
        rollup_info:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileRollupInfo'
          description: Network rollup information.
        modular_or_monolithic:
          $ref: '#/components/schemas/NetworkProfileModularOrMonolithic'
        network_scaling_solution:
          $ref: '#/components/schemas/NetworkProfileNetworkScalingSolution'
        type_of_network:
          $ref: '#/components/schemas/NetworkProfileTypeOfNetwork'
        chain_explorers:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProfileProfileChainExplorer'
          description: Network's chain explorer.
      type: object
      required:
        - full_name
        - network
        - modular_or_monolithic
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    NetworkProfileFullName:
      description: Network full name.
      type: string
    NetworkProfileNetwork:
      description: Network name.
      type: string
    NetworkProfileOverview:
      description: Network overview.
      type: string
    NetworkProfileConsensusMechanism:
      description: Network consensus mechanism.
      type: string
    NetworkProfileHashingAlgorithm:
      description: Network hashing algorithm.
      type: string
    NetworkProfileTransactionFinality:
      description: Network transaction finality.
      type: string
    NetworkProfileAvailableClient:
      type: string
    NetworkProfileSmartContractDeployment:
      description: Network smart contract deployment.
      type: string
    NetworkProfileFoundation:
      type: string
    NetworkProfileFoundingTeamIdentity:
      description: Network team identity.
      type: string
    NetworkProfileRepository:
      description: Network profile repository.
      type: object
      properties:
        github_repository:
          $ref: '#/components/schemas/NetworkProfileRepositoryGithubRepository'
        github_url:
          $ref: '#/components/schemas/NetworkProfileRepositoryGithubUrl'
    NetworkProfileTransactionVisibility:
      description: Network transaction visibility.
      type: string
    NetworkProfileNativeFeeToken:
      description: Network native fee token.
      type: string
    NetworkProfileSignificantHistoricalChange:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/NetworkProfileSignificantHistoricalChangesDate'
        details:
          $ref: >-
            #/components/schemas/NetworkProfileSignificantHistoricalChangesDetails
    NetworkProfileUpgradeHistory:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/NetworkProfileUpgradeHistoryDate'
        details:
          $ref: '#/components/schemas/NetworkProfileUpgradeHistoryDetails'
    NetworkProfileRollupInfo:
      description: Network rollup information.
      type: object
      properties:
        rollup_type:
          $ref: '#/components/schemas/NetworkProfileRollupInfoRollupType'
        state_validation:
          $ref: '#/components/schemas/NetworkProfileRollupInfoStateValidation'
    NetworkProfileModularOrMonolithic:
      description: Network modular or monolithic.
      type: string
    NetworkProfileNetworkScalingSolution:
      description: Network scaling solution.
      type: string
    NetworkProfileTypeOfNetwork:
      description: Type of network.
      type: string
    NetworkProfileProfileChainExplorer:
      type: string
    NetworkProfileRepositoryGithubRepository:
      description: GitHub repository.
      type: string
    NetworkProfileRepositoryGithubUrl:
      description: GitHub repository URL.
      type: string
    NetworkProfileSignificantHistoricalChangesDate:
      description: Date of significant historical change.
      type: string
    NetworkProfileSignificantHistoricalChangesDetails:
      description: Details about significant historical change.
      type: string
    NetworkProfileUpgradeHistoryDate:
      description: Date of the upgrade.
      type: string
    NetworkProfileUpgradeHistoryDetails:
      description: Details about the upgrade.
      type: string
    NetworkProfileRollupInfoRollupType:
      description: Network rollup information.
      type: string
    NetworkProfileRollupInfoStateValidation:
      description: Network state validation.
      type: string
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````